Subject: Re: bug#77856: 31.0.50; Add markdown-ts-mode support to eglot/eldoc

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Apr 2025 18:10:39 +0300

> From: João Távora <[email-masked]>
> Date: Sat, 26 Apr 2025 15:59:50 +0100
> Cc: [email-masked], [email-masked]
> 
> On Sat, Apr 26, 2025 at 2:23 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: João Távora <[email-masked]>
> > > Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> > > Date: Wed, 23 Apr 2025 08:41:03 +0100
> > >
> > > Rahul Martim Juliato <[email-masked]> writes:
> > >
> > > > João Távora <[email-masked]> writes:
> > >
> > > > I noticed some recent changes on flymake and eglot though, It looks like
> > > > Eldoc started failing me when using it with Eglot.
> > >
> > > It's a bit off-topic here, but thanks for the report.  I managed to
> > > reproduce and fix in master.  Flymake 1.4.1 in package version (should
> > > be available from GNU ELPA in about a day or so) will also have the fix.
> >
> > Thanks, closing.
> 
> I don't know if you should be closing this, bcause this bug is about
> adding markdown-ts-mode
> support to Eglot, which is not done.  It's just that Rahul decided to
> use this thread
> to report an unrelated bug here in this thread, which I fixed.  But I
> didn't add
> markdown-ts-mode to Eglot.  When that happens, that's when the bug
> should be closed.

Sorry about my misunderstanding.  Feel free to reopen the bug.